##### 7.7.11.0. makeUg2

Procedure from library `ncalg.lib` (see ncalg_lib).

Usage:
  makeUg2([p]), p an optional int (field characteristic)

Return:
  ring

Purpose:
  set up the U(g_2) in variables (x(i),y(i),Ha,Hb) for i=1..6 over the field of char p

Note:
  activate this ring with the `setring` command
  the variables are ordered as x(1),...x(6),y(1),...,y(6),Ha,Hb.

Example:

    LIB "ncalg.lib";
    def a = makeUg2();
    a;
    ==> //   characteristic : 0
    ==> //   number of vars : 14
    ==> //        block   1 : ordering dp
    ==> //                  : names    x(1) x(2) x(3) x(4) x(5) x(6) y(1) y(2) y(\
       3) y(4) y(5) y(6) Ha Hb
    ==> //        block   2 : ordering C
    ==> //   noncommutative relations: ...
    setring a;
    // ...  56  noncommutative relations

See also: makeUgl; makeUsl.

User manual for Singular version 4-0-3, 2016, generated by texi2html.